ITPub博客

首页 > Linux操作系统 > Linux操作系统 > 安装指定版本的minikube

安装指定版本的minikube

原创 Linux操作系统 作者:i042416 时间:2018-10-18 23:41:19 0 删除 编辑

Minikube是什么?

Kubernetes集群的安装和部署对于很多初学者来说是一道坎。为了方便大家开发和体验Kubernetes,Kubernetes开源社区提供了可以在本地部署的Minikube。

Minikube是一种方便在本地运行Kubernetes的工具,原理是在Virtual Machine(虚拟机)中运行单节点的Kubernetes集群,这个集群主要用于开发和测试目的,而非生产环境。

虽然有着不能启动生产集群,没有高可用性的单节点机器等局限,但对于Kubernetes初学者和体验者来说已经够用了。

当我基于minikube安装Kyma时,收到提示:

Your minikube is in v0.30.0. v0.28.2 is supported version of minikube. Install supported version!

因此我需要安装指定版本v0.28.2的minukube。

解决方案:

curl -Lo minikube  https://storage.googleapis.com/minikube/releases/v0.28.2/minikube-linux-amd64  && chmod +x minikube && sudo mv minikube /usr/local/bin/

其实也就是把版本号v0.28.2包含在curl的参数内。

要获取更多Jerry的原创文章,请关注公众号"汪子熙":


来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/24475491/viewspace-2216850/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论
SAP成都研究院开发专家,SAP社区导师,SAP中国技术大使。

注册时间:2018-01-20

  • 博文量
    1274
  • 访问量
    542303